Index: uspace/srv/net/net/net.c
===================================================================
--- uspace/srv/net/net/net.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/net/net.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -42,5 +42,4 @@
 #include <ddi.h>
 #include <errno.h>
-#include <err.h>
 #include <malloc.h>
 #include <stdio.h>
@@ -92,5 +91,5 @@
     const char *value)
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	measured_string_ref setting =
@@ -100,7 +99,8 @@
 	
 	/* Add the configuration setting */
-	if (ERROR_OCCURRED(measured_strings_add(configuration, name, 0, setting))) {
+	rc = measured_strings_add(configuration, name, 0, setting);
+	if (rc != EOK) {
 		free(setting);
-		return ERROR_CODE;
+		return rc;
 	}
 	
@@ -110,6 +110,5 @@
 /** Generate new system-unique device identifier.
  *
- * @returns The system-unique devic identifier.
- *
+ * @returns		The system-unique devic identifier.
  */
 static device_id_t generate_new_device_id(void)
@@ -120,5 +119,5 @@
 static int parse_line(measured_strings_ref configuration, char *line)
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	/* From the beginning */
@@ -170,7 +169,8 @@
 	
 	/* Add the configuration setting */
-	if (ERROR_OCCURRED(measured_strings_add(configuration, name, 0, setting))) {
+	rc = measured_strings_add(configuration, name, 0, setting);
+	if (rc != EOK) {
 		free(setting);
-		return ERROR_CODE;
+		return rc;
 	}
 	
@@ -181,6 +181,4 @@
     measured_strings_ref configuration)
 {
-	ERROR_DECLARE;
-	
 	printf("%s: Reading configuration file %s/%s\n", NAME, directory, filename);
 	
@@ -206,21 +204,21 @@
 			if (index >= BUFFER_SIZE) {
 				line[BUFFER_SIZE - 1] = '\0';
-				fprintf(stderr, "%s: Configuration line %u too long: %s\n",
-				    NAME, line_number, line);
+				fprintf(stderr, "%s: Configuration line %u too "
+				    "long: %s\n", NAME, line_number, line);
 				
 				/* No space left in the line buffer */
 				return EOVERFLOW;
-			} else {
-				/* Append the character */
-				line[index] = (char) read;
-				index++;
 			}
+			/* Append the character */
+			line[index] = (char) read;
+			index++;
 		} else {
 			/* On error or new line */
 			line[index] = '\0';
 			line_number++;
-			if (ERROR_OCCURRED(parse_line(configuration, line)))
-				fprintf(stderr, "%s: Configuration error on line %u: %s\n",
-				    NAME, line_number, line);
+			if (parse_line(configuration, line) != EOK) {
+				fprintf(stderr, "%s: Configuration error on "
+				    "line %u: %s\n", NAME, line_number, line);
+			}
 			
 			index = 0;
@@ -270,5 +268,5 @@
 static int net_initialize(async_client_conn_t client_connection)
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	netifs_initialize(&net_globals.netifs);
@@ -277,17 +275,25 @@
 	measured_strings_initialize(&net_globals.configuration);
 	
-	// TODO: dynamic configuration
-	ERROR_PROPAGATE(read_configuration());
-	
-	ERROR_PROPAGATE(add_module(NULL, &net_globals.modules,
-	    LO_NAME, LO_FILENAME, SERVICE_LO, 0, connect_to_service));
-	ERROR_PROPAGATE(add_module(NULL, &net_globals.modules,
-	    DP8390_NAME, DP8390_FILENAME, SERVICE_DP8390, 0, connect_to_service));
-	ERROR_PROPAGATE(add_module(NULL, &net_globals.modules,
-	    ETHERNET_NAME, ETHERNET_FILENAME, SERVICE_ETHERNET, 0,
-	    connect_to_service));
-	ERROR_PROPAGATE(add_module(NULL, &net_globals.modules,
-	    NILDUMMY_NAME, NILDUMMY_FILENAME, SERVICE_NILDUMMY, 0,
-	    connect_to_service));
+	/* TODO: dynamic configuration */
+	rc = read_configuration();
+	if (rc != EOK)
+		return rc;
+	
+	rc = add_module(NULL, &net_globals.modules, LO_NAME, LO_FILENAME,
+	    SERVICE_LO, 0, connect_to_service);
+	if (rc != EOK)
+		return rc;
+	rc = add_module(NULL, &net_globals.modules, DP8390_NAME,
+	    DP8390_FILENAME, SERVICE_DP8390, 0, connect_to_service);
+	if (rc != EOK)
+		return rc;
+	rc = add_module(NULL, &net_globals.modules, ETHERNET_NAME,
+	    ETHERNET_FILENAME, SERVICE_ETHERNET, 0, connect_to_service);
+	if (rc != EOK)
+		return rc;
+	rc = add_module(NULL, &net_globals.modules, NILDUMMY_NAME,
+	    NILDUMMY_FILENAME, SERVICE_NILDUMMY, 0, connect_to_service);
+	if (rc != EOK)
+		return rc;
 	
 	/* Build specific initialization */
@@ -314,21 +320,26 @@
 static int net_module_start(async_client_conn_t client_connection)
 {
-	ERROR_DECLARE;
+	ipcarg_t phonehash;
+	int rc;
 	
 	async_set_client_connection(client_connection);
-	ERROR_PROPAGATE(pm_init());
-	
-	ipcarg_t phonehash;
-	
-	if (ERROR_OCCURRED(net_initialize(client_connection)) ||
-	    ERROR_OCCURRED(REGISTER_ME(SERVICE_NETWORKING, &phonehash))) {
-		pm_destroy();
-		return ERROR_CODE;
-	}
+	rc = pm_init();
+	if (rc != EOK)
+		return rc;
+	
+	
+	rc = net_initialize(client_connection);
+	if (rc != EOK)
+		goto out;
+	
+	rc = REGISTER_ME(SERVICE_NETWORKING, &phonehash);
+	if (rc != EOK)
+		goto out;
 	
 	async_manager();
-	
+
+out:
 	pm_destroy();
-	return EOK;
+	return rc;
 }
 
@@ -336,5 +347,5 @@
  *
  * The network interface configuration is searched first.
- &
+ *
  * @param[in]  netif_conf    The network interface configuration setting.
  * @param[out] configuration The found configured values.
@@ -415,5 +426,5 @@
 static int start_device(netif_t *netif)
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	/* Mandatory netif */
@@ -456,5 +467,7 @@
 	int io = setting ? strtol(setting->value, NULL, 16) : 0;
 	
-	ERROR_PROPAGATE(netif_probe_req_remote(netif->driver->phone, netif->id, irq, io));
+	rc = netif_probe_req_remote(netif->driver->phone, netif->id, irq, io);
+	if (rc != EOK)
+		return rc;
 	
 	/* Network interface layer startup */
@@ -468,6 +481,8 @@
 		int mtu = setting ? strtol(setting->value, NULL, 10) : 0;
 		
-		ERROR_PROPAGATE(nil_device_req(netif->nil->phone, netif->id, mtu,
-		    netif->driver->service));
+		rc = nil_device_req(netif->nil->phone, netif->id, mtu,
+		    netif->driver->service);
+		if (rc != EOK)
+			return rc;
 		
 		internet_service = netif->nil->service;
@@ -478,6 +493,8 @@
 	switch (netif->il->service) {
 	case SERVICE_IP:
-		ERROR_PROPAGATE(ip_device_req(netif->il->phone, netif->id,
-		    internet_service));
+		rc = ip_device_req(netif->il->phone, netif->id,
+		    internet_service);
+		if (rc != EOK)
+			return rc;
 		break;
 	default:
@@ -485,6 +502,5 @@
 	}
 	
-	ERROR_PROPAGATE(netif_start_req_remote(netif->driver->phone, netif->id));
-	return EOK;
+	return netif_start_req_remote(netif->driver->phone, netif->id);
 }
 
@@ -504,6 +520,4 @@
 static int startup(void)
 {
-	ERROR_DECLARE;
-	
 	const char *conf_files[] = {
 		"lo",
@@ -511,4 +525,5 @@
 	};
 	size_t count = sizeof(conf_files) / sizeof(char *);
+	int rc;
 	
 	size_t i;
@@ -522,11 +537,14 @@
 			return EXDEV;
 		
-		ERROR_PROPAGATE(measured_strings_initialize(&netif->configuration));
+		rc = measured_strings_initialize(&netif->configuration);
+		if (rc != EOK)
+			return rc;
 		
 		/* Read configuration files */
-		if (ERROR_OCCURRED(read_netif_configuration(conf_files[i], netif))) {
+		rc = read_netif_configuration(conf_files[i], netif);
+		if (rc != EOK) {
 			measured_strings_destroy(&netif->configuration);
 			free(netif);
-			return ERROR_CODE;
+			return rc;
 		}
 		
@@ -554,9 +572,17 @@
 		 * and needed modules.
 		 */
-		if ((ERROR_OCCURRED(char_map_add(&net_globals.netif_names,
-		    netif->name, 0, index))) || (ERROR_OCCURRED(start_device(netif)))) {
+		rc = char_map_add(&net_globals.netif_names, netif->name, 0,
+		    index);
+		if (rc != EOK) {
 			measured_strings_destroy(&netif->configuration);
 			netifs_exclude_index(&net_globals.netifs, index);
-			return ERROR_CODE;
+			return rc;
+		}
+		
+		rc = start_device(netif);
+		if (rc != EOK) {
+			measured_strings_destroy(&netif->configuration);
+			netifs_exclude_index(&net_globals.netifs, index);
+			return rc;
 		}
 		
@@ -594,8 +620,7 @@
     int *answer_count)
 {
-	ERROR_DECLARE;
-	
 	measured_string_ref strings;
 	char *data;
+	int rc;
 	
 	*answer_count = 0;
@@ -604,6 +629,8 @@
 		return EOK;
 	case NET_NET_GET_DEVICE_CONF:
-		ERROR_PROPAGATE(measured_strings_receive(&strings, &data,
-		    IPC_GET_COUNT(call)));
+		rc = measured_strings_receive(&strings, &data,
+		    IPC_GET_COUNT(call));
+		if (rc != EOK)
+			return rc;
 		net_get_device_conf_req(0, IPC_GET_DEVICE(call), &strings,
 		    IPC_GET_COUNT(call), NULL);
@@ -612,10 +639,12 @@
 		free(data);
 		
-		ERROR_CODE = measured_strings_reply(strings, IPC_GET_COUNT(call));
+		rc = measured_strings_reply(strings, IPC_GET_COUNT(call));
 		free(strings);
-		return ERROR_CODE;
+		return rc;
 	case NET_NET_GET_CONF:
-		ERROR_PROPAGATE(measured_strings_receive(&strings, &data,
-		    IPC_GET_COUNT(call)));
+		rc = measured_strings_receive(&strings, &data,
+		    IPC_GET_COUNT(call));
+		if (rc != EOK)
+			return rc;
 		net_get_conf_req(0, &strings, IPC_GET_COUNT(call), NULL);
 		
@@ -623,10 +652,11 @@
 		free(data);
 		
-		ERROR_CODE = measured_strings_reply(strings, IPC_GET_COUNT(call));
+		rc = measured_strings_reply(strings, IPC_GET_COUNT(call));
 		free(strings);
-		return ERROR_CODE;
+		return rc;
 	case NET_NET_STARTUP:
 		return startup();
 	}
+	
 	return ENOTSUP;
 }
@@ -670,9 +700,10 @@
 int main(int argc, char *argv[])
 {
-	ERROR_DECLARE;
-	
-	if (ERROR_OCCURRED(net_module_start(net_client_connection))) {
-		fprintf(stderr, "%s: net_module_start error %i\n", NAME, ERROR_CODE);
-		return ERROR_CODE;
+	int rc;
+	
+	rc = net_module_start(net_client_connection);
+	if (rc != EOK) {
+		fprintf(stderr, "%s: net_module_start error %i\n", NAME, rc);
+		return rc;
 	}
 	
Index: uspace/srv/net/net/net_standalone.c
===================================================================
--- uspace/srv/net/net/net_standalone.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/net/net_standalone.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -42,4 +42,5 @@
 #include <ipc/ipc.h>
 #include <ipc/net.h>
+#include <errno.h>
 
 #include <ip_interface.h>
@@ -60,5 +61,5 @@
 int net_initialize_build(async_client_conn_t client_connection)
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	task_id_t task_id = spawn("/srv/ip");
@@ -66,6 +67,8 @@
 		return EINVAL;
 	
-	ERROR_PROPAGATE(add_module(NULL, &net_globals.modules, IP_NAME,
-	    IP_FILENAME, SERVICE_IP, task_id, ip_connect_module));
+	rc = add_module(NULL, &net_globals.modules, IP_NAME,
+	    IP_FILENAME, SERVICE_IP, task_id, ip_connect_module);
+	if (rc != EOK)
+		return rc;
 	
 	if (!spawn("/srv/icmp"))
Index: uspace/srv/net/netif/lo/lo.c
===================================================================
--- uspace/srv/net/netif/lo/lo.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/netif/lo/lo.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -64,6 +64,5 @@
 netif_globals_t	netif_globals;
 
-int
-netif_specific_message(ipc_callid_t callid, ipc_call_t *call,
+int netif_specific_message(ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count)
 {
@@ -75,6 +74,8 @@
 	if (!address)
 		return EBADMEM;
+
 	address->value = str_dup(DEFAULT_ADDR);
 	address->length = DEFAULT_ADDR_LEN;
+
 	return EOK;
 }
@@ -87,9 +88,12 @@
 	if (!stats)
 		return EBADMEM;
+
 	rc = find_device(device_id, &device);
 	if (rc != EOK)
 		return rc;
+
 	memcpy(stats, (device_stats_ref) device->specific,
 	    sizeof(device_stats_t));
+
 	return EOK;
 }
@@ -134,4 +138,5 @@
 	if (!*device)
 		return ENOMEM;
+
 	(*device)->specific = (device_stats_t *) malloc(sizeof(device_stats_t));
 	if (!(*device)->specific) {
@@ -139,4 +144,5 @@
 		return ENOMEM;
 	}
+
 	null_device_stats((device_stats_ref) (*device)->specific);
 	(*device)->device_id = device_id;
@@ -145,4 +151,5 @@
 	index = netif_device_map_add(&netif_globals.device_map,
 	    (*device)->device_id, *device);
+
 	if (index < 0) {
 		free(*device);
@@ -167,10 +174,12 @@
 	int rc;
 
-	// create a new device
+	/* Create a new device */
 	rc = create(device_id, &device);
 	if (rc != EOK)
 		return rc;
-	// print the settings
+
+	/* Print the settings */
 	printf("%s: Device created (id: %d)\n", NAME, device->device_id);
+
 	return EOK;
 }
@@ -187,8 +196,10 @@
 	if (rc != EOK)
 		return EOK;
+
 	if (device->state != NETIF_ACTIVE) {
 		netif_pq_release(packet_get_id(packet));
 		return EFORWARD;
 	}
+
 	next = packet;
 	do {
@@ -200,4 +211,5 @@
 		next = pq_next(next);
 	} while(next);
+
 	phone = device->nil_phone;
 	fibril_rwlock_write_unlock(&netif_globals.lock);
Index: uspace/srv/net/nil/eth/eth.c
===================================================================
--- uspace/srv/net/nil/eth/eth.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/nil/eth/eth.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -204,4 +204,5 @@
 	fibril_rwlock_write_lock(&eth_globals.protos_lock);
 	eth_globals.net_phone = net_phone;
+
 	eth_globals.broadcast_addr =
 	    measured_string_create_bulk("\xFF\xFF\xFF\xFF\xFF\xFF",
@@ -211,4 +212,5 @@
 		goto out;
 	}
+
 	rc = eth_devices_initialize(&eth_globals.devices);
 	if (rc != EOK) {
@@ -216,4 +218,5 @@
 		goto out;
 	}
+
 	rc = eth_protos_initialize(&eth_globals.protos);
 	if (rc != EOK) {
@@ -280,6 +283,6 @@
  *			netif_get_addr_req() function.
  */
-static int
-eth_device_message(device_id_t device_id, services_t service, size_t mtu)
+static int eth_device_message(device_id_t device_id, services_t service,
+    size_t mtu)
 {
 	eth_device_ref device;
@@ -302,5 +305,5 @@
 
 	fibril_rwlock_write_lock(&eth_globals.devices_lock);
-	// an existing device?
+	/* An existing device? */
 	device = eth_devices_find(&eth_globals.devices, device_id);
 	if (device) {
@@ -311,5 +314,5 @@
 		}
 		
-		// update mtu
+		/* Update mtu */
 		if ((mtu > 0) && (mtu <= ETH_MAX_TAGGED_CONTENT(device->flags)))
 			device->mtu = mtu;
@@ -321,5 +324,5 @@
 		fibril_rwlock_write_unlock(&eth_globals.devices_lock);
 		
-		// notify all upper layer modules
+		/* Notify all upper layer modules */
 		fibril_rwlock_read_lock(&eth_globals.protos_lock);
 		for (index = 0; index < eth_protos_count(&eth_globals.protos);
@@ -333,9 +336,10 @@
 			}
 		}
+
 		fibril_rwlock_read_unlock(&eth_globals.protos_lock);
 		return EOK;
 	}
 	
-	// create a new device
+	/* Create a new device */
 	device = (eth_device_ref) malloc(sizeof(eth_device_t));
 	if (!device)
@@ -358,4 +362,5 @@
 		return rc;
 	}
+
 	if (configuration) {
 		if (!str_lcmp(configuration[0].value, "DIX",
@@ -378,5 +383,5 @@
 	}
 	
-	// bind the device driver
+	/* Bind the device driver */
 	device->phone = netif_bind_service(device->service, device->device_id,
 	    SERVICE_ETHERNET, eth_receiver);
@@ -387,5 +392,5 @@
 	}
 	
-	// get hardware address
+	/* Get hardware address */
 	rc = netif_get_addr_req(device->phone, device->device_id, &device->addr,
 	    &device->addr_data);
@@ -396,5 +401,5 @@
 	}
 	
-	// add to the cache
+	/* Add to the cache */
 	index = eth_devices_add(&eth_globals.devices, device->device_id,
 	    device);
@@ -453,5 +458,5 @@
 	
 	if (type >= ETH_MIN_PROTO) {
-		// DIX Ethernet
+		/* DIX Ethernet */
 		prefix = sizeof(eth_header_t);
 		suffix = 0;
@@ -459,14 +464,15 @@
 		length -= sizeof(eth_fcs_t);
 	} else if(type <= ETH_MAX_CONTENT) {
-		// translate "LSAP" values
+		/* Translate "LSAP" values */
 		if ((header->lsap.dsap == ETH_LSAP_GLSAP) &&
 		    (header->lsap.ssap == ETH_LSAP_GLSAP)) {
-			// raw packet
-			// discard
+			/* Raw packet -- discard */
 			return NULL;
 		} else if((header->lsap.dsap == ETH_LSAP_SNAP) &&
 		    (header->lsap.ssap == ETH_LSAP_SNAP)) {
-			// IEEE 802.3 + 802.2 + LSAP + SNAP
-			// organization code not supported
+			/*
+			 * IEEE 802.3 + 802.2 + LSAP + SNAP
+			 * organization code not supported
+			 */
 			type = ntohs(header->snap.ethertype);
 			prefix = sizeof(eth_header_t) +
@@ -474,9 +480,10 @@
 			    sizeof(eth_header_snap_t);
 		} else {
-			// IEEE 802.3 + 802.2 LSAP
+			/* IEEE 802.3 + 802.2 LSAP */
 			type = lsap_map(header->lsap.dsap);
 			prefix = sizeof(eth_header_t) +
 			    sizeof(eth_header_lsap_t);
 		}
+
 		suffix = (type < ETH_MIN_CONTENT) ? ETH_MIN_CONTENT - type : 0U;
 		fcs = (eth_fcs_ref) data + prefix + type + suffix;
@@ -484,5 +491,5 @@
 		length = prefix + type + suffix;
 	} else {
-		// invalid length/type, should not occurr
+		/* Invalid length/type, should not occur */
 		return NULL;
 	}
@@ -506,7 +513,6 @@
 }
 
-int
-nil_received_msg_local(int nil_phone, device_id_t device_id, packet_t packet,
-    services_t target)
+int nil_received_msg_local(int nil_phone, device_id_t device_id,
+    packet_t packet, services_t target)
 {
 	eth_proto_ref proto;
@@ -521,4 +527,5 @@
 		return ENOENT;
 	}
+
 	flags = device->flags;
 	fibril_rwlock_read_unlock(&eth_globals.devices_lock);
@@ -538,6 +545,6 @@
 		packet = next;
 	} while(packet);
+
 	fibril_rwlock_read_unlock(&eth_globals.protos_lock);
-	
 	return EOK;
 }
@@ -554,6 +561,5 @@
  * @returns		ENOENT if there is no such device.
  */
-static int
-eth_packet_space_message(device_id_t device_id, size_t *addr_len,
+static int eth_packet_space_message(device_id_t device_id, size_t *addr_len,
     size_t *prefix, size_t *content, size_t *suffix)
 {
@@ -569,4 +575,5 @@
 		return ENOENT;
 	}
+
 	*content = device->mtu;
 	fibril_rwlock_read_unlock(&eth_globals.devices_lock);
@@ -575,4 +582,5 @@
 	*prefix = ETH_PREFIX;
 	*suffix = ETH_MIN_CONTENT + ETH_SUFFIX;
+
 	return EOK;
 }
@@ -587,6 +595,5 @@
  * @returns		ENOENT if there no such device.
  */
-static int
-eth_addr_message(device_id_t device_id, eth_addr_type_t type,
+static int eth_addr_message(device_id_t device_id, eth_addr_type_t type,
     measured_string_ref *address)
 {
@@ -644,7 +651,9 @@
 			return ENOMEM;
 		}
+
 		proto->service = service;
 		proto->protocol = protocol;
 		proto->phone = phone;
+
 		index = eth_protos_add(&eth_globals.protos, protocol, proto);
 		if (index < 0) {
@@ -705,4 +714,5 @@
 		if (!padding)
 			return ENOMEM;
+
 		bzero(padding, ETH_MIN_TAGGED_CONTENT(flags) - length);
 	}
@@ -782,6 +792,6 @@
  * @returns		EINVAL if the service parameter is not known.
  */
-static int
-eth_send_message(device_id_t device_id, packet_t packet, services_t sender)
+static int eth_send_message(device_id_t device_id, packet_t packet,
+    services_t sender)
 {
 	eth_device_ref device;
@@ -804,5 +814,5 @@
 	}
 	
-	// process packet queue
+	/* Process packet queue */
 	next = packet;
 	do {
@@ -810,5 +820,5 @@
 		    (uint8_t *) device->addr->value, ethertype, device->mtu);
 		if (rc != EOK) {
-			// release invalid packet
+			/* Release invalid packet */
 			tmp = pq_detach(next);
 			if (next == packet)
@@ -822,17 +832,16 @@
 	} while(next);
 	
-	// send packet queue
+	/* Send packet queue */
 	if (packet) {
 		netif_send_msg(device->phone, device_id, packet,
 		    SERVICE_ETHERNET);
 	}
+
 	fibril_rwlock_read_unlock(&eth_globals.devices_lock);
-	
 	return EOK;
 }
 
-int
-nil_message_standalone(const char *name, ipc_callid_t callid, ipc_call_t *call,
-    ipc_call_t *answer, int *answer_count)
+int nil_message_standalone(const char *name, ipc_callid_t callid,
+    ipc_call_t *call, ipc_call_t *answer, int *answer_count)
 {
 	measured_string_ref address;
@@ -894,5 +903,4 @@
  * @param[in] iid	The initial message identifier.
  * @param[in] icall	The initial message call structure.
- *
  */
 static void nil_client_connection(ipc_callid_t iid, ipc_call_t *icall)
Index: uspace/srv/net/nil/eth/eth_module.c
===================================================================
--- uspace/srv/net/nil/eth/eth_module.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/nil/eth/eth_module.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -77,6 +77,5 @@
 }
 
-int
-nil_module_message_standalone(const char *name, ipc_callid_t callid,
+int nil_module_message_standalone(const char *name, ipc_callid_t callid,
     ipc_call_t *call, ipc_call_t *answer, int *answer_count)
 {
Index: uspace/srv/net/nil/nildummy/nildummy.c
===================================================================
--- uspace/srv/net/nil/nildummy/nildummy.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/nil/nildummy/nildummy.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -150,6 +150,6 @@
  *			netif_get_addr_req() function.
  */
-static int
-nildummy_device_message(device_id_t device_id, services_t service, size_t mtu)
+static int nildummy_device_message(device_id_t device_id, services_t service,
+    size_t mtu)
 {
 	nildummy_device_ref device;
@@ -159,5 +159,5 @@
 	fibril_rwlock_write_lock(&nildummy_globals.devices_lock);
 
-	// an existing device?
+	/* An existing device? */
 	device = nildummy_devices_find(&nildummy_globals.devices, device_id);
 	if (device) {
@@ -169,5 +169,5 @@
 		}
 		
-		// update mtu
+		/* Update MTU */
 		if (mtu > 0)
 			device->mtu = mtu;
@@ -179,5 +179,5 @@
 		fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
 		
-		// notify the upper layer module
+		/* Notify the upper layer module */
 		fibril_rwlock_read_lock(&nildummy_globals.protos_lock);
 		if (nildummy_globals.proto.phone) {
@@ -191,5 +191,5 @@
 	}
 	
-	// create a new device
+	/* Create a new device */
 	device = (nildummy_device_ref) malloc(sizeof(nildummy_device_t));
 	if (!device)
@@ -203,5 +203,5 @@
 		device->mtu = NET_DEFAULT_MTU;
 
-	// bind the device driver
+	/* Bind the device driver */
 	device->phone = netif_bind_service(device->service, device->device_id,
 	    SERVICE_ETHERNET, nildummy_receiver);
@@ -212,5 +212,5 @@
 	}
 	
-	// get hardware address
+	/* Get hardware address */
 	rc = netif_get_addr_req(device->phone, device->device_id, &device->addr,
 	    &device->addr_data);
@@ -221,5 +221,5 @@
 	}
 	
-	// add to the cache
+	/* Add to the cache */
 	index = nildummy_devices_add(&nildummy_globals.devices,
 	    device->device_id, device);
@@ -247,6 +247,6 @@
  *
  */
-static int
-nildummy_addr_message(device_id_t device_id, measured_string_ref *address)
+static int nildummy_addr_message(device_id_t device_id,
+    measured_string_ref *address)
 {
 	nildummy_device_ref device;
@@ -279,6 +279,5 @@
  *
  */
-static int
-nildummy_packet_space_message(device_id_t device_id, size_t *addr_len,
+static int nildummy_packet_space_message(device_id_t device_id, size_t *addr_len,
     size_t *prefix, size_t *content, size_t *suffix)
 {
@@ -294,4 +293,5 @@
 		return ENOENT;
 	}
+
 	*content = device->mtu;
 	fibril_rwlock_read_unlock(&nildummy_globals.devices_lock);
@@ -303,7 +303,6 @@
 }
 
-int
-nil_received_msg_local(int nil_phone, device_id_t device_id, packet_t packet,
-    services_t target)
+int nil_received_msg_local(int nil_phone, device_id_t device_id,
+    packet_t packet, services_t target)
 {
 	packet_t next;
@@ -355,6 +354,6 @@
  * @return		EINVAL if the service parameter is not known.
  */
-static int
-nildummy_send_message(device_id_t device_id, packet_t packet, services_t sender)
+static int nildummy_send_message(device_id_t device_id, packet_t packet,
+    services_t sender)
 {
 	nildummy_device_ref device;
@@ -366,5 +365,6 @@
 		return ENOENT;
 	}
-	// send packet queue
+
+	/* Send packet queue */
 	if (packet)
 		netif_send_msg(device->phone, device_id, packet,
@@ -374,7 +374,6 @@
 }
 
-int
-nil_message_standalone(const char *name, ipc_callid_t callid, ipc_call_t *call,
-    ipc_call_t *answer, int *answer_count)
+int nil_message_standalone(const char *name, ipc_callid_t callid,
+    ipc_call_t *call, ipc_call_t *answer, int *answer_count)
 {
 	measured_string_ref address;
Index: uspace/srv/net/nil/nildummy/nildummy_module.c
===================================================================
--- uspace/srv/net/nil/nildummy/nildummy_module.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/nil/nildummy/nildummy_module.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -78,6 +78,5 @@
 }
 
-int
-nil_module_message_standalone(const char *name, ipc_callid_t callid,
+int nil_module_message_standalone(const char *name, ipc_callid_t callid,
     ipc_call_t *call, ipc_call_t *answer, int *answer_count)
 {
